//
// Source code recreated from a .class file by IntelliJ IDEA
// (powered by FernFlower decompiler)
//

package com.google.api.services.androidpublisher.model;

import com.google.api.client.json.GenericJson;
import com.google.api.client.json.JsonString;
import com.google.api.client.util.Key;

public final class ProductPurchase extends GenericJson {
    @Key
    private Integer consumptionState;
    @Key
    private String developerPayload;
    @Key
    private String kind;
    @Key
    private String orderId;
    @Key
    private Integer purchaseState;
    @Key
    @JsonString
    private Long purchaseTimeMillis;
    @Key
    private Integer purchaseType;

    @Key
    private String obfuscatedExternalAccountId;

    @Key
    private String obfuscatedExternalProfileId;



    public ProductPurchase() {
    }

    public Integer getConsumptionState() {
        return this.consumptionState;
    }

    public ProductPurchase setConsumptionState(Integer var1) {
        this.consumptionState = var1;
        return this;
    }

    public String getDeveloperPayload() {
        return this.developerPayload;
    }

    public ProductPurchase setDeveloperPayload(String var1) {
        this.developerPayload = var1;
        return this;
    }

    public String getKind() {
        return this.kind;
    }

    public ProductPurchase setKind(String var1) {
        this.kind = var1;
        return this;
    }

    public String getOrderId() {
        return this.orderId;
    }

    public ProductPurchase setOrderId(String var1) {
        this.orderId = var1;
        return this;
    }

    public Integer getPurchaseState() {
        return this.purchaseState;
    }

    public ProductPurchase setPurchaseState(Integer var1) {
        this.purchaseState = var1;
        return this;
    }

    public Long getPurchaseTimeMillis() {
        return this.purchaseTimeMillis;
    }

    public ProductPurchase setPurchaseTimeMillis(Long var1) {
        this.purchaseTimeMillis = var1;
        return this;
    }

    public Integer getPurchaseType() {
        return this.purchaseType;
    }

    public ProductPurchase setPurchaseType(Integer var1) {
        this.purchaseType = var1;
        return this;
    }


    public String getObfuscatedExternalAccountId() {
        return obfuscatedExternalAccountId;
    }

    public void setObfuscatedExternalAccountId(String obfuscatedExternalAccountId) {
        this.obfuscatedExternalAccountId = obfuscatedExternalAccountId;
    }

    public String getObfuscatedExternalProfileId() {
        return obfuscatedExternalProfileId;
    }

    public void setObfuscatedExternalProfileId(String obfuscatedExternalProfileId) {
        this.obfuscatedExternalProfileId = obfuscatedExternalProfileId;
    }

    @Override
    public ProductPurchase set(String var1, Object var2) {
        return (ProductPurchase)super.set(var1, var2);
    }

    @Override
    public ProductPurchase clone() {
        return (ProductPurchase)super.clone();
    }
}
